OpenFOAM

Les versions d'OpenFOAM installées sur Olympe


v1706 (intelMpi)

module load openfoam/v1706-impi
source $FOAM_INST_DIR/OpenFOAM-$FOAM_VERSION/etc/bashrc

v1806 (intelMPI)

 

module load openfoam/v1806-impi
source $FOAM_INST_DIR/OpenFOAM-$FOAM_VERSION/etc/bashrc

v1906 (intelMPI)

module load openfoam/v1906-impi
source $FOAM_INST_DIR/OpenFOAM-$FOAM_VERSION/etc/bashrc

v2006 (openmpi)

version compilée avec gcc 9.3.0 et openmpi 3.1.5:

module load openfoam/openfoam/v2006-ompi-gcc
source $FOAM_INST_DIR/OpenFOAM-$FOAM_VERSION/etc/bashrc

v6 (intelMPI)

version compilée avec Intel, openmpi:

module load openfoam/v6-ompi
source $FOAM_INST_DIR/OpenFOAM-$FOAM_VERSION/etc/bashrc
ulimit -s 10240

v7 (openMPI)

Version compilée avec Intel, openmpi:

module load openfoam/v7-ompi
source $FOAM_INST_DIR/OpenFOAM-$FOAM_VERSION/etc/bashrc
ulimit -s 10240

v9 (openmpi)

version compilée avec gcc, et openmpi:

module load openfoam/v9-ompi-gcc
source $FOAM_INST_DIR/OpenFOAM-$FOAM_VERSION/etc/bashrc
ulimit -s 10240

Utilisation de ParaFOAM

Pour utiliser ParaFOAM, il faut se connecter sur les nœuds graphiques et utiliser le bureau gnome:

runVisuSession.sh --desktop gnome

 

Voir aussi

FAQ

Questions fréquentes et messages d'erreurs